digiKam Developer Documentation: Digikam::ItemPropertiesTab Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Digikam::ItemPropertiesTab Class Reference
Inheritance diagram for Digikam::ItemPropertiesTab:

## Public Types
enum | Section { FileProperties = 0 , ImageProperties , PhotoProperties , VideoProperties , digiKamProperties , TagsProperties , LocationProperties , RightProperties }

## Public Member Functions
| ItemPropertiesTab (QWidget *const parent)
void | showOrHideCachedProperties ()
void | setCurrentUrl (const QUrl &url=QUrl())
| Setter methods (itempropertiestab_setters.cpp)
void | setPhotoInfoDisable (const bool b)
void | setVideoInfoDisable (const bool b)
void | setFileName (const QString &str)
void | setFileFolder (const QString &str)
void | setFileModifiedDate (const QString &str)
void | setFileSize (const QString &str)
void | setFileOwner (const QString &str)
void | setFilePermissions (const QString &str)
void | setItemDimensions (const QString &str)
void | setImageRatio (const QString &str)
void | setImageMime (const QString &str)
void | setImageBitDepth (const QString &str)
void | setImageColorMode (const QString &str)
void | setHasSidecar (const QString &str)
void | setHasGPSInfo (const QString &str)
void | setVersionedInfo (const QString &str)
void | setGroupedInfo (const QString &str)
void | setGroupedWidget (QWidget *const wdg)
void | setPhotoMake (const QString &str)
void | setPhotoModel (const QString &str)
void | setPhotoDateTime (const QString &str)
void | setPhotoLens (const QString &str)
void | setPhotoAperture (const QString &str)
void | setPhotoFocalLength (const QString &str)
void | setPhotoExposureTime (const QString &str)
void | setPhotoSensitivity (const QString &str)
void | setPhotoExposureMode (const QString &str)
void | setPhotoFlash (const QString &str)
void | setPhotoWhiteBalance (const QString &str)
void | setVideoAspectRatio (const QString &str)
void | setVideoAudioBitRate (const QString &str)
void | setVideoAudioChannelType (const QString &str)
void | setVideoAudioCodec (const QString &str)
void | setVideoDuration (const QString &str)
void | setVideoFrameRate (const QString &str)
void | setVideoVideoCodec (const QString &str)
void | setTitle (const QString &str)
void | setCaption (const QString &str)
void | setPickLabel (int pickId)
void | setColorLabel (int colorId)
void | setRating (int rating)
void | setTags (const QStringList &tagPaths, const QStringList &tagNames=QStringList(), const QStringList &peopleTagPaths=QStringList(), const QStringList &peopleTagNames=QStringList())
void | setTemplate (const Template &t)
QString | propertiesToText () const
Public Member Functions inherited from Digikam::DExpanderBox
| DExpanderBox (QWidget *const parent=nullptr)
void | addItem (QWidget *const w, const QIcon &icon, const QString &txt, const QString &objName, bool expandBydefault)
| Add DLabelExpander item at end of box layout with these settings : 'w' : the widget hosted by DLabelExpander.
void | addItem (QWidget *const w, const QString &txt, const QString &objName, bool expandBydefault)
void | addStretch ()
bool | buttonIsVisible (int index) const
bool | checkBoxIsVisible (int index) const
int | count () const
int | indexOf (DLabelExpander *const widget) const
void | insertItem (int index, QWidget *const w, const QIcon &icon, const QString &txt, const QString &objName, bool expandBydefault)
| Insert DLabelExpander item at box layout index with these settings : 'w' : the widget hosted by DLabelExpander.
void | insertItem (int index, QWidget *const w, const QString &txt, const QString &objName, bool expandBydefault)
void | insertStretch (int index)
bool | isChecked (int index) const
bool | isItemEnabled (int index) const
bool | isItemExpanded (int index) const
QIcon | itemIcon (int index) const
QString | itemText (int index) const
QString | itemToolTip (int index) const
virtual void | readSettings (KConfigGroup &group)
void | removeItem (int index)
void | setButtonIcon (int index, const QIcon &icon)
void | setButtonToolTip (int index, const QString &tip)
void | setButtonVisible (int index, bool b)
void | setCheckBoxVisible (int index, bool b)
void | setChecked (int index, bool b)
void | setItemEnabled (int index, bool enabled)
void | setItemExpanded (int index, bool b)
void | setItemIcon (int index, const QIcon &icon)
void | setItemText (int index, const QString &txt)
void | setItemToolTip (int index, const QString &tip)
DLabelExpander * | widget (int index) const
virtual void | writeSettings (KConfigGroup &group)
static QStringList | shortenedTagPaths (const QStringList &tagPaths, QList< QVariant > *identifiers=nullptr)
| Helper methods (itempropertiestab_helpers.cpp)
static void | shortenedMakeInfo (QString &make)
| This methods shortens make an model camera info to prevent bloating GUI See bug #265231 for details.
static void | shortenedModelInfo (QString &model)
static bool | aspectRatioToString (int width, int height, QString &arString)
| Write a string with aspect ratio information formatted.
static QString | permissionsString (const QFileInfo &fi)
| Return file permissions string.
static QString | humanReadableBytesCount (qint64 bytes, bool si=false)
| Return an human readable string of file size in 'bytes'.

## Additional Inherited Members
Signals inherited from Digikam::DExpanderBox
void | signalItemButtonPressed (int index)
void | signalItemExpanded (int index, bool b)
void | signalItemToggled (int index, bool b)

## Member Function Documentation

## ◆ humanReadableBytesCount()

QString Digikam::ItemPropertiesTab::humanReadableBytesCount | ( | qint64 | bytes,
|  | bool | si = `false`
| ) |  |
| static

If 'si' is true, a decade of bytes is interpreted on base of 1000 byte, else 1024.

## ◆ shortenedTagPaths()

QStringList Digikam::ItemPropertiesTab::shortenedTagPaths | ( | const QStringList & | tagPaths,
|  | QList< QVariant > * | identifiers = `nullptr`
| ) |  |
| static

Shortens the tag paths by sorting and then cutting identical paths from the second and following paths (only the first item gives the full path). If you want to retain information about which tag path is sorted where, you can optionally give a QVariant list. This list shall contain an identifier for the tag path at the same index and will be resorted as the returned list.